import { EventEmitter, OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
import { MatSelectChange } from '@angular/material/select';
import * as i0 from "@angular/core";
/**
 * Display 20 years in the future, with 12 months each. Good for display expiry date within 20 years.
 */
export declare class MonthYearExpiryComponent implements OnInit {
    yearSlots: {
        value: number | undefined;
        display: string;
    }[];
    monthSlots: ({
        value: undefined;
        display: string;
    } | {
        value: number;
        display: string;
    })[];
    selectedYear: number | undefined;
    selectedMonth: number | undefined;
    /**
     * Default 20.
     */
    yearsInFuture: number;
    /**
     * FormControl of parent modlel with FormGroup. Dirty when user changes value.
     *
     */
    yearMonthExpiry: FormControl;
    get value(): number;
    set value(v: number);
    /**
     * Optional event when user changes value.
     */
    change: EventEmitter<number>;
    constructor();
    ngOnInit(): void;
    onSelectionChange(e: MatSelectChange): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonthYearExpiryComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MonthYearExpiryComponent, "month-year-expiry", never, { "yearsInFuture": { "alias": "yearsInFuture"; "required": false; }; "yearMonthExpiry": { "alias": "yearMonthExpiry"; "required": false; }; }, { "change": "change"; }, never, never, false, never>;
}
