import { MatDialog, MatDialogRef } from '@angular/material/dialog';
import { Observable } from 'rxjs';
import { ConfirmComponent } from './confirm.component';
import * as i0 from "@angular/core";
/**
 * Provide ConfirmComponent dialog for confirmation Yes or No. disableClose=true.
 */
export declare class ConfirmService {
    private dialog;
    modalRef: MatDialogRef<ConfirmComponent>;
    private _opened;
    /**
     * Tell client codes if the dialog is opened.
     */
    get opened(): boolean;
    set opened(v: boolean);
    constructor(dialog: MatDialog);
    open(title: string, body: string, action?: string, cancel?: string): Observable<boolean>;
    /**
     * With default "Are you sure?" body.
     */
    openDefault(): Observable<boolean>;
    closeIfOpened(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ConfirmService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ConfirmService>;
}
