import { BreakpointObserver } from '@angular/cdk/layout';
import { MatDialog, MatDialogRef } from '@angular/material/dialog';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
/**
 * Picke datetimes between.
 * If start date is not defined, it will be today from now.
 * If the end date is not defined, it will be 180 days from the start date.
 */
export declare class DateHourRangePickerComponent {
    dialogRef: MatDialogRef<DateHourRangePickerComponent>;
    data: {
        start: Date;
        end: Date;
    };
    actionsAlign: string;
    title: string;
    startDate: Date;
    endDate: Date;
    hourSlots: number[];
    minuteSlots: number[];
    selectedHourStart: number;
    selectedMinuteStart: number;
    selectedHourEnd: number;
    selectedMinuteEnd: number;
    constructor(dialogRef: MatDialogRef<DateHourRangePickerComponent>, data: {
        start: Date;
        end: Date;
    }, actionsAlign: string);
    submit(): void;
    cancel(): void;
    clear(): void;
    pad0(n: number): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<DateHourRangePickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DateHourRangePickerComponent, "DateHourRangePicker", never, {}, {}, never, never, false, never>;
}
/**
 * Picke datetimes between.
 */
export declare class DateHourRangePickerService {
    private dialog;
    private isHandsetPortrait;
    constructor(dialog: MatDialog, breakpointObserver: BreakpointObserver);
    /**
     * Pick dates between through DateHourRangePickerComponent.
     * If start date is not defined, it will be today from now.
     * If the end date is not defined, it will be 180 days from the start date.
     */
    open(start: Date | undefined, end: Date | undefined): Observable<{
        start: Date;
        end: Date;
    }>;
    static ɵfac: i0.ɵɵFactoryDeclaration<DateHourRangePickerService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DateHourRangePickerService>;
}
