import { BreakpointObserver } from '@angular/cdk/layout';
import { MatDialog, MatDialogRef } from '@angular/material/dialog';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
/**
 * Pick dates between.
 * If start date is not defined, it will be today from now.
 * If the end date is not defined, it will be 180 days from the start date.
 */
export declare class DateRangePickerComponent {
    dialogRef: MatDialogRef<DateRangePickerComponent>;
    data: {
        start: Date;
        end: Date;
    };
    actionsAlign: string;
    title: string;
    startDate: Date;
    endDate: Date;
    constructor(dialogRef: MatDialogRef<DateRangePickerComponent>, data: {
        start: Date;
        end: Date;
    }, actionsAlign: string);
    submit(): void;
    cancel(): void;
    clear(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DateRangePickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DateRangePickerComponent, "DateRangePicker", never, {}, {}, never, never, false, never>;
}
/**
 * Pick dates between.
 */
export declare class DateRangePickerService {
    private dialog;
    private isHandsetPortrait;
    constructor(dialog: MatDialog, breakpointObserver: BreakpointObserver);
    /**
     * Picke dates between through DateRangePickerComponent.
     * If start date is not defined, it will be today from now.
     * If the end date is not defined, it will be 180 days from the start date.
     */
    open(start: Date | undefined, end: Date | undefined): Observable<{
        start: Date;
        end: Date;
    } | undefined | null>;
    static ɵfac: i0.ɵɵFactoryDeclaration<DateRangePickerService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DateRangePickerService>;
}
