import { MatDialog, MatDialogRef } from '@angular/material/dialog';
import { MatSelectionListChange } from '@angular/material/list';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
/**
 * Display a list of items to select one.
 * This will be shown by a concrete service of ItemListDialogServiceBase<T>.
 */
export declare class ItemListDialogComponent {
    actionsAlign: string;
    private dialogRef;
    title: string;
    /**
     * Must be an array type
     */
    items: any;
    toString: (item: any) => string;
    /**
     *
     * @param data data.items type should be array. data.toStringCallback is to conver an item in the array into string for displaying.
     * @param dialogRef
     */
    constructor(data: {
        title: string;
        items: any;
        toStringCallback: (item: any) => string;
    }, actionsAlign: string, dialogRef: MatDialogRef<ItemListDialogComponent>);
    /**
     * the observable returned is empty string "".
     */
    cancel(): void;
    itemSelectionChange(e: MatSelectionListChange): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ItemListDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ItemListDialogComponent, "ng-component", never, {}, {}, never, never, false, never>;
}
/**
 * Show a list of object items and select one. T could be a string type, or any object type that could be presented as a literal description.
 */
export declare abstract class ItemListDialogServiceBase {
    protected dialog: MatDialog;
    constructor(dialog: MatDialog);
    /**
     * Display a list of options. With OptionsComponent, it will be a list of buttons labeled by the option texts.
     * @param title
     * @param items
     * @returns object item selected.
     */
    open(title: string, items: {
        [k: string]: any;
    }[] | string[]): Observable<{
        [k: string]: any;
    } | string>;
    /**
     * Translate item into a string printed in the dialog.
     * @param item
     */
    abstract toString(item: {
        [k: string]: any;
    } | string): string;
}
