import { OnInit } from '@angular/core';
import { MatDialog, MatDialogRef } from '@angular/material/dialog';
import { Observable } from 'rxjs';
import { AlertService } from '../_ui_services/alert.service';
import { TextEditorDialogComponentBase } from '../_ui_services/textEditorDialogBase.component';
import * as i0 from "@angular/core";
/**
 * Display text area for text of consultation to be saved in Azure Blob Storage.
 * Different fields will trigger different events which will be further handled.
 * This component is used by multiple functions via different routes, or by HTML tempalte so noteLabel and modelChanged will be used.
 */
export declare class LocalTextEditorDialogComponent extends TextEditorDialogComponentBase implements OnInit {
    data: {
        [k: string]: string;
    };
    actionsAlign: string;
    dialogRef: MatDialogRef<LocalTextEditorDialogComponent>;
    protected alertService: AlertService;
    constructor(data: {
        [k: string]: string;
    }, actionsAlign: string, dialogRef: MatDialogRef<LocalTextEditorDialogComponent>, alertService: AlertService);
    /**
     * For existing, load; for new, if with letterTemplateId, then use the template to render the data and show html generated;
     * otherwise, show blank HTML doc.
     */
    ngOnInit(): void;
    protected createMeta(): {
        [k: string]: string;
    } | undefined;
    protected saveToBlobStorage(callback?: () => void): void;
    protected loadBlobStorage(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LocalTextEditorDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LocalTextEditorDialogComponent, "ng-component", never, {}, {}, never, never, false, never>;
}
export declare class LocalTextEditorDialogService {
    private dialog;
    constructor(dialog: MatDialog);
    /**
     * Display HTML document or create new HTML document with a template
     * @param data Should contain noteLabel
     */
    open(data: {
        [k: string]: string;
    }): Observable<{
        [k: string]: string;
    }>;
    static ɵfac: i0.ɵɵFactoryDeclaration<LocalTextEditorDialogService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<LocalTextEditorDialogService>;
}
