import { AfterViewInit, ElementRef, InjectionToken, Renderer2 } from '@angular/core';
import { AlertSubjectMessage } from './types';
import * as i0 from "@angular/core";
export interface MessageDialogOptions {
    useIcon?: boolean;
    useTitle?: boolean;
}
export declare const LOG_DIALOG_OPTIONS: InjectionToken<MessageDialogOptions>;
/**
 * Display AlertSubjectMessage. Generally this is called by alert service.
 * Whether to show message type icon is determined by MY_DIALOG_OPTIONS generally declared in app.module.ts.
 * Text message
 * HTML message from app, displayed in HTML container
 * JSON message from app, displayed in HTML container
 * Message from HTTP response, displayed in iFrame, regardless of content Type
 */
export declare class LogDialogComponent implements AfterViewInit {
    dialogOptions: MessageDialogOptions;
    actionsAlign: string;
    private renderer;
    private _message?;
    get message(): AlertSubjectMessage | undefined;
    set message(v: AlertSubjectMessage | undefined);
    htmlContentElement?: ElementRef;
    /**
     * @param data
     * @param dialogRef
     * @param dialogOptions if not defined, both useTitle and useIcon are false, then useTitle is true.
     */
    constructor(dialogOptions: MessageDialogOptions, data: {
        message: AlertSubjectMessage;
    }, actionsAlign: string, renderer: Renderer2);
    ngAfterViewInit(): void;
    get title(): string | undefined;
    get titleIcon(): string | undefined;
    get iconColor(): string | undefined;
    get useIcon(): boolean | undefined;
    get useTitle(): boolean;
    get subtitle(): string | undefined;
    get messageType(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<LogDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LogDialogComponent, "ng-component", never, {}, {}, never, never, false, never>;
}
