import { MatBottomSheet, MatBottomSheetRef } from '@angular/material/bottom-sheet';
import { Observable } from 'rxjs';
import { ActionSheetItemSubjectService, RootInjectorGuard } from './baseTypes';
import { ActionSheetItem } from './types';
import * as i0 from "@angular/core";
/**
 * Display ActionSheet to simulate the notification feature of Windows and other OSs.
 */
export declare class NotificationsComponent {
    sheetRef: MatBottomSheetRef<NotificationsComponent>;
    get items(): ActionSheetItem[];
    title: string;
    constructor(data: {
        title: string;
    }, sheetRef: MatBottomSheetRef<NotificationsComponent>);
    handleAction(item: ActionSheetItem): void;
    getDigest(s: string | undefined): string;
    private getOneLineDigest;
    remove(item: ActionSheetItem): void;
    clearAndClose(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NotificationsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NotificationsComponent, "ng-component", never, {}, {}, never, never, false, never>;
}
/**
 * Upon receiving notification messages, display ActionSheet.
 * Intended to be used in push from the backend, while local background tasks may surely send notification too.
 * When being used with SignalR, be aware that SignalR is not working with IIS Express, but IIS.
 * This service is to be used across modules, lazy or eager. To be provided in root module. To be used in app.component.
 */
export declare class NotificationsService extends RootInjectorGuard {
    private bottomSheet;
    private actionSheetItemSubjectService;
    constructor(bottomSheet: MatBottomSheet, actionSheetItemSubjectService: ActionSheetItemSubjectService);
    private bottomSheetRef;
    /**
     *
     * @param disableClose
     * @returns clicked item
     */
    open(title: string, disableClose?: boolean): Observable<ActionSheetItem>;
    get items(): ActionSheetItem[];
    remove(item: ActionSheetItem): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NotificationsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NotificationsService>;
}
