import { MatDialogRef } from '@angular/material/dialog';
import * as i0 from "@angular/core";
/**
 * Confirmation through multiple options represented in buttons horizontally.
 */
export declare class OptionsComponent {
    actionsAlign: string;
    private dialogRef;
    title: string;
    body: string;
    /**
     * Options to generate buttons.
     */
    options: string[];
    /**
     * Text of the selected button.
     */
    selected: string;
    constructor(data: {
        title: string;
        body: string;
        options: string[];
    }, actionsAlign: string, dialogRef: MatDialogRef<OptionsComponent>);
    /**
     * Each button is associate with this function, so the button text is passed on to the result of the modal.
     * @param selected
     */
    confirm(selected: string): void;
    cancel(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<OptionsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OptionsComponent, "options-content", never, { "title": { "alias": "title"; "required": false; }; "body": { "alias": "body"; "required": false; }; "options": { "alias": "options"; "required": false; }; }, {}, never, never, false, never>;
}
