import { AfterViewInit, ElementRef, EventEmitter } from '@angular/core';
import { FormControl } from '@angular/forms';
import { MatDialogRef } from '@angular/material/dialog';
import { AlertService } from './alert.service';
import * as i0 from "@angular/core";
/**
 * Display text area for text to be saved in Azure Blob Storage.
 * Different fields will trigger different events which will be further handled.
 * This component is used by multiple functions via different routes, or by HTML tempalte so noteLabel and modelChanged will be used.
 */
export declare abstract class TextEditorDialogComponentBase implements AfterViewInit {
    data: {
        [k: string]: any;
    };
    actionsAlign: string;
    dialogRef: MatDialogRef<TextEditorDialogComponentBase>;
    protected alertService: AlertService;
    get note(): string;
    private _noteControl;
    get noteControl(): FormControl;
    set noteControl(v: FormControl);
    get modified(): boolean;
    noteLabel?: string;
    modelChanged: EventEmitter<string>;
    fileId?: string;
    readonly: boolean;
    noteInput?: ElementRef;
    private viewPortHeight;
    maxRows: number;
    constructor(data: {
        [k: string]: any;
    }, actionsAlign: string, dialogRef: MatDialogRef<TextEditorDialogComponentBase>, alertService: AlertService);
    ngAfterViewInit(): void;
    private focus;
    save(): void;
    protected abstract createMeta(): {
        [k: string]: string;
    } | undefined;
    protected abstract saveToBlobStorage(callback?: () => void): void;
    protected abstract loadBlobStorage(fileId: string): void;
    reset(): void;
    close(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextEditorDialogComponentBase, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TextEditorDialogComponentBase, never, never, { "noteLabel": { "alias": "noteLabel"; "required": false; }; }, { "modelChanged": "modelChanged"; }, never, never, false, never>;
}
