import { MatDialog, MatDialogRef } from '@angular/material/dialog';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
/**
 * Input one line text.
 */
export declare class TextInputComponent {
    data: {
        text: string;
        label: string;
        title: string;
    };
    actionsAlign: string;
    dialogRef: MatDialogRef<TextInputComponent>;
    label: string;
    text: string;
    title: string;
    constructor(data: {
        text: string;
        label: string;
        title: string;
    }, actionsAlign: string, dialogRef: MatDialogRef<TextInputComponent>);
    confirm(): void;
    cancel(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TextInputComponent, "textInput", never, { "label": { "alias": "label"; "required": false; }; "text": { "alias": "text"; "required": false; }; "title": { "alias": "title"; "required": false; }; }, {}, never, never, false, never>;
}
/**
 * Display TextInputComponent modal which may give input or TextArea. Null mean cancel.
 */
export declare class TextInputService {
    private dialog;
    constructor(dialog: MatDialog);
    /**
     * Return text, or null if the user presses Cancel.
     * @param title
     * @param label when not defined, the dialog will give a TextArea
     * @param text
     * @param small default size. True to have 98vw.
     */
    open(title?: string, label?: string, text?: string, small?: boolean): Observable<string>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextInputService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TextInputService>;
}
