import { BreakpointObserver } from '@angular/cdk/layout';
import { OnDestroy } from '@angular/core';
import { MatDialog, MatDialogRef } from '@angular/material/dialog';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
/**
 * Input Hour and Minute.
 */
export declare class TimePickerComponent {
    private data;
    actionsAlign: string;
    dialogRef: MatDialogRef<TimePickerComponent>;
    title: string;
    hourSlots: number[];
    minuteSlots: number[];
    selectedHour: number;
    selectedMinute: number;
    selectedDate: Date;
    noClear: boolean;
    constructor(data: {
        minutes: number;
        noClear: boolean;
    }, actionsAlign: string, dialogRef: MatDialogRef<TimePickerComponent>);
    get minutes(): number;
    set minutes(v: number);
    submit(): void;
    cancel(): void;
    clear(): void;
    pad0(n: number): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<TimePickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TimePickerComponent, "timePicker", never, {}, {}, never, never, false, never>;
}
/**
 * Show dialog of inputting hour and minute.
 */
export declare class TimeService implements OnDestroy {
    private dialog;
    isHandsetPortrait: boolean;
    private bs;
    constructor(dialog: MatDialog, breakpointObserver: BreakpointObserver);
    /**
     *
     * @param minutes since midnight, to be translated to hour and minute.
     * @param noClear No Clear button
     */
    open(minutes: number, noClear?: boolean): Observable<number>;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TimeService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TimeService>;
}
