export declare enum DialogSize {
    Auto = 0,
    Large = 1,
    Medium = 2,
    Smart = 3
}
/**
 * When smart, return useBackButton ? '98' + hw : undefined.
 * @param size
 * @param useBackButton
 * @param vwvh vw or vh
 */
export declare const DialogSizeToSize: (size?: DialogSize, useBackButton?: boolean, vwvh?: string) => string | undefined;
export interface ActionSheetItem {
    actionId?: string;
    actionLabel?: string;
    actionType?: string;
    message?: string;
    timeUtc?: Date;
}
export type MessageContentType = 'text' | 'html' | 'json';
export type MessageType = 'success' | 'info' | 'error' | 'warning' | 'response' | 'notify';
export interface AlertSubjectMessage {
    text?: string;
    /**
     * success, info, error, warning, response
     */
    type?: MessageType;
    /**
     * Optionally describe title which is translated from type. Such as explaning the source of the message.
     */
    subtitle?: string;
    /**
     * Whether to display in snackbar
     */
    snackBar?: boolean;
    contentType?: 'text' | 'html' | 'json';
    /**
     * Describe the status of HTTP message.
     */
    status?: number;
    statusText?: string;
}
