import { Location } from '@angular/common';
import { ComponentFactoryResolver, ElementRef, Type } from '@angular/core';
import { MatDialog, MatDialogRef } from '@angular/material/dialog';
import { AlertService } from '../_ui_services/alert.service';
import { Observable } from 'rxjs';
import { DataComponent } from '../_types/DataComponent';
import { DataComponentDialog } from '../_ui_services/dataComponentDialog.component';
import * as i0 from "@angular/core";
/**
 * This is to host another component which has implemented interface DataComponent. And another component is to be displayed in a dialog but not need to answer but to close.
 * The Close button may vary depending on the screen size.
 */
export declare class DataComponentPrintDialog extends DataComponentDialog {
    protected dialogData: {
        title: string;
        externalComponentType: Type<DataComponent>;
        componentData: any;
        isSmallScreen: boolean;
        fullScreen: boolean;
    };
    actionsAlign: string;
    dialogRef: MatDialogRef<DataComponentDialog>;
    protected componentFactoryResolver: ComponentFactoryResolver;
    private location;
    private cssUrl;
    private alertService;
    htmlContentElement: ElementRef;
    constructor(dialogData: {
        title: string;
        externalComponentType: Type<DataComponent>;
        componentData: any;
        isSmallScreen: boolean;
        fullScreen: boolean;
    }, actionsAlign: string, dialogRef: MatDialogRef<DataComponentDialog>, componentFactoryResolver: ComponentFactoryResolver, location: Location, cssUrl: string, alertService: AlertService);
    print(): void;
    copyToClipboard(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DataComponentPrintDialog, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DataComponentPrintDialog, "ng-component", never, {}, {}, never, never, false, never>;
}
/**
 * Display an NG component in a dialog, and this dialog has not need to answer but close. For a component defined in a lazy module, use LazyComponentDialogService.
 */
export declare class DataComponentPrintDialogService {
    private dialog;
    modalRef: MatDialogRef<DataComponentPrintDialog>;
    constructor(dialog: MatDialog);
    open(title: string, externalComponentType: Type<DataComponent>, componentData: any, config?: {
        autofocus?: boolean;
        fullScreen?: boolean;
    }): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<DataComponentPrintDialogService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DataComponentPrintDialogService>;
}
