import { MatDialogRef, MatDialog } from '@angular/material/dialog';
import { Observable } from 'rxjs';
import { ProgressBarMode } from '@angular/material/progress-bar';
import { TransmitProgress } from '../public-api';
import * as i0 from "@angular/core";
/**
 * Confirmation to say Yes or No. When saying Yes, return result true, otherwise, return activeModal.dismiss().
 * This component is used by ConfirmService, which actionLabel and cancelLabel can be overriden by client calls.
 */
export declare class ProgressComponent {
    private data;
    actionsAlign: 'start' | 'center' | 'end';
    private dialogRef;
    title: string;
    body: string;
    cancelCallback?: () => void;
    /**
     * 0-100. "By default, the progress bar sets aria-valuemin to 0 and aria-valuemax to 100. Avoid changing these values, as this may cause incompatibility with some assistive technology."
     */
    progressBarValue: number;
    get progressBarMode(): ProgressBarMode;
    get progressBarBufferValue(): number | undefined;
    constructor(data: {
        title: string;
        body: string;
        progressBarMode: ProgressBarMode;
        progressBarBufferValue?: number;
    }, actionsAlign: 'start' | 'center' | 'end', dialogRef: MatDialogRef<ProgressComponent>);
    cancel(): void;
    setCancelCallback(cancelCallback: () => void): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ProgressComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ProgressComponent, "ng-component", never, { "title": { "alias": "title"; "required": false; }; "body": { "alias": "body"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class ProgressDialogService {
    private dialog;
    modalRef?: MatDialogRef<ProgressComponent>;
    private _opened;
    /**
     * Tell client codes if the dialog is opened.
     */
    get opened(): boolean;
    set opened(v: boolean);
    constructor(dialog: MatDialog);
    open(title: string, body: string, progressBarMode: ProgressBarMode, progressBarBufferValue?: number): Observable<boolean>;
    closeIfOpened(): void;
    set(p: TransmitProgress): void;
    setCancelCallback(cancelCallback: () => void): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ProgressDialogService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ProgressDialogService>;
}
